# The Red Matrix: photo_driver Class Reference

All Classes Namespaces Files Functions Variables Pages
photo_driver Class Reference
Inheritance diagram for photo_driver:

## Public Member Functions

| supportedTypes ()
| load ($data, $type)
| destroy ()
| setDimensions ()
| getImage ()
| doScaleImage ($new_width, $new_height)
| rotate ($degrees)
| flip ($horiz=true, $vert=false)
| cropImage ($max, $x, $y, $w, $h)
| imageString ()
| __construct ($data, $type='')
| __destruct ()
| is_valid ()
| getWidth ()
| getHeight ()
| saveImage ($path)
| getType ()
| getExt ()
| scaleImage ($max)
| scaleImageUp ($min)
| scaleImageSquare ($dim)
| orient ($filename)
| save ($arr)
| store ($aid, $uid, $xchan, $rid, $filename, $album, $scale, $profile=0, $allow_cid= '', $allow_gid= '', $deny_cid= '', $deny_gid= '')

## Protected Attributes

| $image
| $width
| $height
| $valid
| $type
| $types

## Constructor & Destructor Documentation

photo_driver::__construct | ( |  | $data,
|  |  | $type = `''`
| ) |  |

photo_driver::__destruct | ( |  | ) |

## Member Function Documentation

photo_driver::cropImage | ( |  | $max,
|  |  | $x,
|  |  | $y,
|  |  | $w,
|  |  | $h
| ) |  |

abstract

photo_driver::destroy | ( |  | ) |

abstract

Referenced by __destruct().

photo_driver::doScaleImage | ( |  | $new_width,
|  |  | $new_height
| ) |  |

abstract

Referenced by scaleImage(), scaleImageSquare(), and scaleImageUp().

photo_driver::flip | ( |  | $horiz = `true`,
|  |  | $vert = `false`
| ) |  |

abstract

Referenced by orient().

photo_driver::getExt | ( |  | ) |

photo_driver::getHeight | ( |  | ) |

Referenced by save(), and store().

photo_driver::getImage | ( |  | ) |

abstract

photo_driver::getType | ( |  | ) |

Referenced by getExt(), photo_gd\imageString(), photo_imagick\load(), orient(), save(), and store().

photo_driver::getWidth | ( |  | ) |

Referenced by save(), and store().

photo_driver::imageString | ( |  | ) |

abstract

Referenced by save(), saveImage(), and store().

photo_driver::is_valid | ( |  | ) |

Referenced by __destruct(), photo_gd\cropImage(), photo_imagick\cropImage(), photo_gd\destroy(), photo_imagick\destroy(), photo_gd\flip(), photo_imagick\flip(), getExt(), getHeight(), photo_gd\getImage(), photo_imagick\getImage(), getType(), getWidth(), photo_gd\imageString(), photo_imagick\imageString(), orient(), photo_gd\rotate(), photo_imagick\rotate(), saveImage(), scaleImage(), scaleImageSquare(), and scaleImageUp().

photo_driver::load | ( |  | $data,
|  |  | $type
| ) |  |

abstract

Referenced by __construct().

photo_driver::orient | ( |  | $filename | ) |

This function is a bit unusual, because it is operating on a file, but you must first create an image from that file to initialise the type and check validity of the image.

photo_driver::rotate | ( |  | $degrees | ) |

abstract

Referenced by orient().

photo_driver::save | ( |  | $arr | ) |

photo_driver::saveImage | ( |  | $path | ) |

photo_driver::scaleImage | ( |  | $max | ) |

photo_driver::scaleImageSquare | ( |  | $dim | ) |

photo_driver::scaleImageUp | ( |  | $min | ) |

photo_driver::setDimensions | ( |  | ) |

abstract

photo_driver::store | ( |  | $aid,
|  |  | $uid,
|  |  | $xchan,
|  |  | $rid,
|  |  | $filename,
|  |  | $album,
|  |  | $scale,
|  |  | $profile = `0`,
|  |  | $allow_cid = `''`,
|  |  | $allow_gid = `''`,
|  |  | $deny_cid = `''`,
|  |  | $deny_gid = `''`
| ) |  |

photo_driver::supportedTypes | ( |  | ) |

abstract

Referenced by __construct().

## Member Data Documentation

photo_driver::$height

protected

Referenced by photo_gd\doScaleImage(), getHeight(), scaleImage(), and scaleImageUp().

photo_driver::$image

protected

Referenced by photo_gd\getImage(), and photo_imagick\getImage().

photo_driver::$type

protected

Referenced by __construct(), getType(), and photo_imagick\load().

photo_driver::$types

protected

photo_driver::$valid

protected

Referenced by is_valid().

photo_driver::$width

protected

Referenced by photo_gd\doScaleImage(), getWidth(), scaleImage(), and scaleImageUp().

The documentation for this class was generated from the following file:

- include/photo/photo_driver.php